Hooks:PostHook( WeaponFactoryTweakData, "init", "UniBarrettInit", function(self)
    
	self.wpn_fps_snp_uni_barrett.override = {
		wpn_fps_upg_o_shortdot = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -30, -4.400)}}
		},
		wpn_fps_upg_o_leupold = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -33, -4.400)}}
		},
		wpn_fps_upg_o_specter = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_aimpoint = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_docter = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_eotech = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_t1micro = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_acog = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_cmore = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_aimpoint_2 = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_eotech_xps = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_reflex = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_rx01 = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_rx30 = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
		wpn_fps_upg_o_cs = {
			stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -20, -3.400)}}
		},
        wpn_fps_upg_o_45iron = {
            stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(-2.3, -10, -12),rotation = Rotation(0, 0, -45)}}
        },
        wpn_fps_upg_o_45rds = {
            stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(-2.1, -10, -12),rotation = Rotation(0, 0, -45)}}
        },
        wpn_fps_upg_o_spot = {
            stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -10, -3.400)}}
        },
        wpn_fps_upg_o_box = {
            stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -30, -4.400)}}
        }    
    }

    if SystemFS:exists("assets/mod_overrides/Delta Titanium 3-24x56 Scope/main.xml") then
		table.insert(self.wpn_fps_snp_uni_barrett.uses_parts, "wpn_fps_upg_o_deltatitanium")
	    self.wpn_fps_snp_uni_barrett.override.wpn_fps_upg_o_deltatitanium = {
        	stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -35, -4.2),rotation = Rotation(0, 0, 0)}}
   		}
	end

    if SystemFS:exists("assets/mod_overrides/Trijicon ACOG TA648 Scope/main.xml") then
		table.insert(self.wpn_fps_snp_uni_barrett.uses_parts, "wpn_fps_upg_o_ta648")
   		self.wpn_fps_snp_uni_barrett.override.wpn_fps_upg_o_ta648 = {
        	stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -33, -4.2),rotation = Rotation(0, 0, 0)}}
   	 	}
	end

    if SystemFS:exists("assets/mod_overrides/GiTS Carry Handle Sight/main.xml") then
		table.insert(self.wpn_fps_snp_uni_barrett.uses_parts, "wpn_fps_upg_o_gitsch")
    	self.wpn_fps_snp_uni_barrett.override.wpn_fps_upg_o_gitsch = {
        	stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -10, -3.300),rotation = Rotation(0, 0, 0)}}
    	}
	end

    if SystemFS:exists("assets/mod_overrides/1P69 Giperon Scope/main.xml") then
		table.insert(self.wpn_fps_snp_uni_barrett.uses_parts, "wpn_fps_upg_o_1p69")
    	self.wpn_fps_snp_uni_barrett.override.wpn_fps_upg_o_1p69 = {
       		stance_mod = {wpn_fps_snp_uni_barrett = {translation = Vector3(0, -34, -4.2),rotation = Rotation(0, 0, 0)}}
    	}
	end
end)